{% extends 'profile/layouts/admin/admin_layout.html' %}
{% load static %}
{% block css %}

    <link rel="stylesheet" type="text/css" href="{% static 'admin/css/datatables/datatables.min.css' %}">
    <style>
        .img-bagss {
            position: absolute;
            top: 0;
            background-color: rgba(255, 0, 0, 0.8);
            text-align: center;
            font-weight: 500;
            line-height: 16px;
            padding: 5px 10px;
            color: #FFFFFF;
            border-radius: 5px 5px 5px 0;
        }
        .img-bagss .tag-bln { font-size: 15px; }

        .tdx{
            max-width: 400px;
            word-wrap: break-word;
            
        }
        .select2-container {
                z-index: 10000;
            }
            .select2-search__field {
    width: 100% !important;
}
    </style>

{% endblock css %}


{% block navbar %}
    {% include 'profile/layouts/admin/navbar.html' %}
{% endblock navbar %}

{% block main %}
    <nav aria-label="breadcrumb">
        <ol class="breadcrumb">
            <li class="breadcrumb-item"><a href="{% url 'profile:admin_home' %}">Home</a></li>
            <li class="breadcrumb-item active" aria-current="page">Data Kependudukan</li>
        </ol>
    </nav>

    {% if messages %}
        {% for message in messages %}
            <div class="alert {{ message.tags }} my-2" role="alert">
                {{message}}
                <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>  
        {% endfor %}
    {% endif %}
    <div class="d-flex">
        <div class="flex-fill"> 
            <button type="button"  class="btn btn-primary mt-2 mb-4" data-toggle="modal" data-target="#tambahpenduduk"><i class="bi bi-pencil"></i> Tambah Data Kependudukan</button>
        </div>
        <div class="flex-fill-right">
            <button type="button"  class="btn btn-danger mt-2 mb-4" data-toggle="modal" data-target="#arsip_datapu"><i class="bi bi-trash"></i> Data Kependudukan Diarsipkan</button>
        </div>
    </div>     
   
    <div class="card shadow mb-5">
        <div class="card-header py-3 d-flex flex-row align-items-center justify-content-between bg-gradient-primary">
            <h6 class="m-0 font-weight-bold text-white"><i class="fa fa-list"></i> Data Kependudukan</h6>
            <div class="dropdown no-arrow">
                <a class="dropdown-toggle" href="#" role="button" id="dropdownMenuLink" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                    <i class="fas fa-ellipsis-v fa-sm fa-fw text-gray-400"></i>
                </a>
            </div>
        </div>
        <div class="card-body">
            <table class="table table-striped table-bordered dt-responsive" id="table-list">
                <thead class="bg-primary text-white">
                    <tr>
                        <th scope="col" class="text-center">No</th>
                        <th>Wilayah</th>
                        <th>Tanggal Input</th>
                        <th>Jumlah Penduduk</th>
                        <th>Jumlah Penduduk menurut Agama</th>
                        <th>Jumlah penduduk berbasis OAP</th>
                        <th>Jumlah Penduduk berdasarkan kepemilikan dokumen kependudukan</th>
                        <th scope="col" class="text-center">Aksi</th>
                    </tr>
                </thead>
                <tbody>
                    {% for item_kependudukan in dt_kependudukan_lis %}
                        <tr>
                                <td>{{forloop.counter}}</td>
                                <td class="tdx">{{item_kependudukan.kampung.distrik.title}}-{{item_kependudukan.kampung.titles}} </td>
                                <td>{{item_kependudukan.create_date}}</td>
                                <td>
                                   <ul>
                                    <li> Laki - laki : {{item_kependudukan.jml_penduduk_pria}}</li>
                                    <li> Perempuan      : {{item_kependudukan.jml_penduduk_wanita}} </li>
                                   </ul> 
                                </td>
                                <td>
                                    <ul>
                                        <li>Kristen : {{item_kependudukan.jml_kriten}}</li>
                                        <li>Khatolik: {{item_kependudukan.jml_katholik}}</li>
                                        <li>Islam   : {{item_kependudukan.jml_islam}}</li>
                                        <li>Hindu   : {{item_kependudukan.jml_hindu}}</li>
                                        <li>Budha   : {{item_kependudukan.jml_budha}}</li>

                                    </ul>
                                </td>
                                <td>
                                    <ul>
                                        <li>Jumlah Penduduk OAP :{{item_kependudukan.jml_OAP}} </li>
                                        <li>Jumlah Penduduk non OAP : {{item_kependudukan.jml_nonOAP}}</li>
                                    </ul>
                                </td>
                                <td>
                                    <ul>
                                        <li> KK  : {{item_kependudukan.jml_KK}}   </li>
                                        <li> KTP  : {{item_kependudukan.jml_KTP}}  </li>
                                        <li> Akta : {{item_kependudukan.jml_Akta}} </li>
                                    </ul>
                                </td>
                                <td>
                                    <div class="d-flex align-items-center justify-content-center px-3 py-2 mt-2">
                                        <!-- <a class="btn btn-success btn-circle mr-3 mb-2" 
                                            href="#"
                                            data-toggle="tooltip" data-placement="top" title="Edit">
                                            <i class="bi bi-pencil"></i>
                                        </a> -->
                                        <button class="btn btn-success btn-circle mr-3 mb-2" data-toggle="modal" data-target="#tambahpenduduk-{{item_kependudukan.id}}"><span class="fa fa-edit"></span></button>
                                        <div class="modal fade " id="tambahpenduduk-{{item_kependudukan.id}}"  role="dialog" aria-labelledby="tambahpenduduk-{{item_kependudukan.id}}" aria-hidden="true">
                                            <div class="modal-dialog modal-xl" role="document">
                                                <div class="modal-content ">
                                                    <div class="modal-header bg-gradient-primary text-white">
                                                        <h5 class="modal-title" id="arsip_perikanan"><i class="fa fa-pencil"></i> Input Data Kependudukan</h5>
                                                        <button class="close" type="button" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">×</span></button>
                                                    </div>
                                                    <div class="modal-body">
                                                        <form method ='post' enctype ="multipart/form-data" action="{% url 'profile:admin_kependudukanedit' item_kependudukan.id %}">
                                                                {% csrf_token %}
                                                                <div class="row no-gutters align-items-center">
                                                                    <div class="col-md-5">  
                                                                        <div class="col mr-2">
                                                                            <div class="text-xs font-weight-bold text-primary text-uppercase mb-1">
                                                                               Wilayah
                                                                            </div>
                                                                        </div>
                                                                        <div class="col-auto">
                                                                            <select name="kampung" id="mySelect2" class="form-control list_wilayah select2" required>
                                                                                <option value="">Kampung/Distrik</option>
                                                                                {% for data_kampung in datakampung_list %}
                                                                                    <option value="{{ data_kampung.id }}" {% if data_kampung.id == item_kependudukan.kampung_id %}selected{% endif %}>
                                                                                        {{ data_kampung.distrik.title }}-{{ data_kampung.titles }}
                                                                                    </option>
                                                                                {% endfor %}    
                                                                            </select>
                                                                        </div>
                                                                    </div>
                                                                    <div class="col-md-4">
                                                                        <div class="col mr-2">
                                                                            <div class="text-xs font-weight-bold text-primary text-uppercase mb-1">
                                                                                Penanggungjawab
                                                                            </div>
                                                                        </div>
                                                                        <div class="col-auto">
                                                                            <select name="penanggungjawab" class="form-control" required>
                                                                                <option value="">Pilih Penanggungjawab</option>
                                                                                {% for datajawab in penanggungjawab %}
                                                                                    <option value="{{datajawab.id}}" {% if datajawab.id == item_kependudukan.penanggungjawab_id %}selected{% endif %}>{{datajawab.nama}}</option>
                                                                                {% endfor %}
                                                                            </select>
                                                                        </div>
                                                                    </div>
                                                                    <div class="col-md-3">
                                                                        <div class="col mr-2">
                                                                            <div class="text-xs font-weight-bold text-primary text-uppercase mb-1">
                                                                                Tahun
                                                                            </div>
                                                                        </div>
                                                                        <div class="col-auto">
                                                                            <select name="tahun"  class="form-control" required>
                                                                                <option value="{{item_kependudukan.tahun}}" {% if tahun == item_kependudukan.tahun %}selected{% endif %}>{{item_kependudukan.tahun}}</option>
                                                                                <option value="">Pilih Tahun</option>
                                                                                <option value="2020">2020</option>    
                                                                                <option value="2021">2021</option>    
                                                                                <option value="2022">2022</option>    
                                                                                <option value="2023">2023</option>    
                                                                                <option value="2024">2024</option>    
                                                                            </select>
                                                                        </div>
                                                                    </div>
                                                                </div>
                                                                <hr>
                                                               <div class="row" >
                                                                    <div class="col-md-4"> 
                                                                        <h6 ><center>Jumlah Penduduk menurut Jenis kelamin</center></h6>
                                                                        <div class="row ">
                                                                            <div class="form-group col-md-6" >
                                                                                <label for="jml_penduduk_pria">Laki - Laki </label>
                                                                                <input type="number"  placeholder=""
                                                                                    class="form-control"
                                                                                    name="jml_penduduk_pria" value="{{item_kependudukan.jml_penduduk_pria}}"
                                                                                    required>
                                                                            </div>
                                                                            <div class="form-group col-md-6">
                                                                                <label for="judul">Perempuan</label>
                                                                                <input type="number" placeholder=""
                                                                                    class="form-control"
                                                                                    name="jml_penduduk_wanita" value="{{item_kependudukan.jml_penduduk_wanita}}"
                                                                                    required>
                                                                            </div>
                                                                        </div>
                                                                    </div>
                                                                    <div class="col-md-1"></div>
                                                                    <div class="col-md-7">
                                                                        <h6><center>Jumlah Penduduk menurut Agama</center></h6>
                                                                        <div class="row">
                                                                            <div class="form-group col-md-2">
                                                                                <label for="jml_kriten">Kristen </label>
                                                                                <input type="number"  placeholder=""
                                                                                    class="form-control"
                                                                                    name="jml_kriten" value="{{item_kependudukan.jml_kriten}}"
                                                                                    required>
                                                                            </div>
                                                                            <div class="form-group col-md-2">
                                                                                <label for="judul">Khatolik</label>
                                                                                <input type="number" placeholder=""
                                                                                    class="form-control"
                                                                                    name="jml_katholik" value="{{item_kependudukan.jml_katholik}}"
                                                                                    required>
                                                                            </div>
                                                                            <div class="form-group col-md-2">
                                                                                <label for="judul">Islam</label>
                                                                                <input type="number" placeholder=""
                                                                                    class="form-control"
                                                                                    name="jml_islam" value="{{item_kependudukan.jml_islam}}"
                                                                                    required>
                                                                            </div>
                                                                            <div class="form-group col-md-2">
                                                                                <label for="judul">Hindu</label>
                                                                                <input type="number" placeholder=""
                                                                                    class="form-control"
                                                                                    name="jml_hindu" value="{{item_kependudukan.jml_hindu}}"
                                                                                    required>
                                                                            </div>
                                                                            <div class="form-group col-md-2">
                                                                                <label for="judul">Budha</label>
                                                                                <input type="number" placeholder=""
                                                                                    class="form-control"
                                                                                    name="jml_budha" value="{{item_kependudukan.jml_budha}}"
                                                                                    required>
                                                                            </div>
                                                                        </div>
                                                                    </div>
                                                               </div>
                                                               <hr>
                                                               <div class="row">
                                                                    <div class="col-md-6">
                                                                        <h6><center>Jumlah penduduk berbasis OAP</center></h6>
                                                                        <hr>
                                                                        <div class="row">
                                                                            <div class="form-group col-md-5 text-center">
                                                                                <label for="judul">Jumlah Penduduk OAP</label>
                                                                                <input type="number" placeholder=""
                                                                                    class="form-control"
                                                                                    name="jml_OAP" value="{{item_kependudukan.jml_OAP}}"
                                                                                    required> 
                                                                            </div>
                                                                            <div class="form-group col-md-5 text-center">
                                                                                <label for="judul">Jumlah Penduduk NonOAP</label>
                                                                                <input type="number" placeholder=""
                                                                                    class="form-control"
                                                                                    name="jml_nonOAP" value="{{item_kependudukan.jml_nonOAP}}"
                                                                                    required>
                                                                            </div>
                                                                        </div>
                                                                    </div>
                                                                    <div class="col-md-6">
                                                                        <h6><center>Jumlah Penduduk berdasarkan <br>kepemilikan dokumen kependudukan</center></h6>
                                                                        <hr>
                                                                        <div class="row">
                                                                            <div class="form-group col-md-4 text-center">
                                                                                <label for="judul">Kartu Keluarga</label>
                                                                                <input type="number" placeholder=""
                                                                                    class="form-control"
                                                                                    name="jml_KK" value="{{item_kependudukan.jml_KK}}"
                                                                                    required> 
                                                                            </div>
                                                                            <div class="form-group col-md-4 text-center">
                                                                                <label for="judul">KTP</label>
                                                                                <input type="number" placeholder=""
                                                                                    class="form-control"
                                                                                    name="jml_KTP" value="{{item_kependudukan.jml_KTP}}"
                                                                                    required>
                                                                            </div>
                                                                            <div class="form-group col-md-4 text-center">
                                                                                <label for="judul">Akta Kelahiran</label>
                                                                                <input type="number" placeholder=""
                                                                                    class="form-control"
                                                                                    name="jml_Akta" value="{{item_kependudukan.jml_Akta}}"
                                                                                    required>
                                                                            </div>
                                                                        </div>
                                                                    </div>
                                                               </div>
                                                               
                                                            <div class="modal-footer">
                                                                <button class="btn btn-primary" type="submit"><i class="fa fa-save"></i> Simpan</button>
                                                                <button class="btn btn-danger" type="button" data-dismiss="modal"><i class="fa fa-times"></i> Tutup</button>
                                                            </div>
                                                        </form>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                        <a href="#" class="btn btn-danger btn-circle mr-3 mb-2" 
                                        onclick="delete_('soft_delete', `{{ item_kependudukan.kampung.titles }}`, '{{ item_kependudukan.id }}')"
                                        data-toggle="tooltip" data-placement="top" title="Arsipkan">
                                            <i class="bi bi-archive"></i>
                                        </a>
                                    </div>
                                </td>
                        </tr>
                   {% endfor %}
                </tbody>
            </table>
        </div>
    </div>

    <div class="modal fade " id="tambahpenduduk"  role="dialog" aria-labelledby="tambahpenduduk" aria-hidden="true">
        <div class="modal-dialog modal-xl" role="document">
            <div class="modal-content ">
                <div class="modal-header bg-gradient-primary text-white">
                    <h5 class="modal-title" id="arsip_perikanan"><i class="fa fa-pencil"></i> Input Data Kependudukan</h5>
                    <button class="close" type="button" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">×</span></button>
                </div>
                <div class="modal-body">
                    <form method ='post' enctype ="multipart/form-data" action="{% url 'profile:admin_kependudukan_create' %}">
                            {% csrf_token %}
                            <div class="row no-gutters align-items-center">
                                <div class="col-md-5">  
                                    <div class="col mr-2">
                                        <div class="text-xs font-weight-bold text-primary text-uppercase mb-1">
                                           Wilayah
                                        </div>
                                    </div>
                                    <div class="col-auto">
                                        <select name="kampung" id="mySelect2" class="form-control list_wilayah select2" required>
                                            <option value="">Kampung/Distrik</option>
                                            {% for data_kampung in  datakampung_list %}
                                                <option value="{{data_kampung.id}}">{{data_kampung.distrik.title}}-{{data_kampung.titles}}</option>
                                            {% endfor %}    
                                        </select>
                                    </div>
                                </div>
                                <div class="col-md-4">
                                    <div class="col mr-2">
                                        <div class="text-xs font-weight-bold text-primary text-uppercase mb-1">
                                            Penanggungjawab
                                        </div>
                                    </div>
                                    <div class="col-auto">
                                        <select name="penanggungjawab" class="form-control" required>
                                            <option value="">Pilih Penanggungjawab</option>
                                            {% for datajawab in penanggungjawab %}
                                                <option value="{{datajawab.id}}">{{datajawab.nama}}</option>
                                            {% endfor %}
                                        </select>
                                    </div>
                                </div>
                                <div class="col-md-3">
                                    <div class="col mr-2">
                                        <div class="text-xs font-weight-bold text-primary text-uppercase mb-1">
                                            Tahun
                                        </div>
                                    </div>
                                    <div class="col-auto">
                                        <select name="tahun"  class="form-control" required>
                                            <option value="">Pilih Tahun</option>
                                            <option value="2020">2020</option>    
                                            <option value="2021">2021</option>    
                                            <option value="2022">2022</option>    
                                            <option value="2023">2023</option>    
                                            <option value="2024">2024</option>    
                                        </select>
                                    </div>
                                </div>
                            </div>
                            <hr>
                           <div class="row" >
                                <div class="col-md-4"> 
                                    <h6 ><center>Jumlah Penduduk menurut Jenis kelamin</center></h6>
                                    <div class="row ">
                                        <div class="form-group col-md-6" >
                                            <label for="jml_penduduk_pria">Laki - Laki </label>
                                            <input type="number"  placeholder=""
                                                class="form-control"
                                                name="jml_penduduk_pria"
                                                required>
                                        </div>
                                        <div class="form-group col-md-6">
                                            <label for="judul">Perempuan</label>
                                            <input type="number" placeholder=""
                                                class="form-control"
                                                name="jml_penduduk_wanita"
                                                required>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-md-1"></div>
                                <div class="col-md-7">
                                    <h6><center>Jumlah Penduduk menurut Agama</center></h6>
                                    <div class="row">
                                        <div class="form-group col-md-2">
                                            <label for="jml_kriten">Kristen </label>
                                            <input type="number"  placeholder=""
                                                class="form-control"
                                                name="jml_kriten"
                                                required>
                                        </div>
                                        <div class="form-group col-md-2">
                                            <label for="judul">Khatolik</label>
                                            <input type="number" placeholder=""
                                                class="form-control"
                                                name="jml_katholik"
                                                required>
                                        </div>
                                        <div class="form-group col-md-2">
                                            <label for="judul">Islam</label>
                                            <input type="number" placeholder=""
                                                class="form-control"
                                                name="jml_islam"
                                                required>
                                        </div>
                                        <div class="form-group col-md-2">
                                            <label for="judul">Hindu</label>
                                            <input type="number" placeholder=""
                                                class="form-control"
                                                name="jml_hindu"
                                                required>
                                        </div>
                                        <div class="form-group col-md-2">
                                            <label for="judul">Budha</label>
                                            <input type="number" placeholder=""
                                                class="form-control"
                                                name="jml_budha"
                                                required>
                                        </div>
                                    </div>
                                </div>
                           </div>
                           <hr>
                           <div class="row">
                                <div class="col-md-6">
                                    <h6><center>Jumlah penduduk berbasis OAP</center></h6>
                                    <hr>
                                    <div class="row">
                                        <div class="form-group col-md-5 text-center">
                                            <label for="judul">Jumlah Penduduk OAP</label>
                                            <input type="number" placeholder=""
                                                class="form-control"
                                                name="jml_OAP"
                                                required> 
                                        </div>
                                        <div class="form-group col-md-5 text-center">
                                            <label for="judul">Jumlah Penduduk NonOAP</label>
                                            <input type="number" placeholder=""
                                                class="form-control"
                                                name="jml_nonOAP"
                                                required>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <h6><center>Jumlah Penduduk berdasarkan <br>kepemilikan dokumen kependudukan</center></h6>
                                    <hr>
                                    <div class="row">
                                        <div class="form-group col-md-4 text-center">
                                            <label for="judul">Kartu Keluarga</label>
                                            <input type="number" placeholder=""
                                                class="form-control"
                                                name="jml_KK"
                                                required> 
                                        </div>
                                        <div class="form-group col-md-4 text-center">
                                            <label for="judul">KTP</label>
                                            <input type="number" placeholder=""
                                                class="form-control"
                                                name="jml_KTP"
                                                required>
                                        </div>
                                        <div class="form-group col-md-4 text-center">
                                            <label for="judul">Akta Kelahiran</label>
                                            <input type="number" placeholder=""
                                                class="form-control"
                                                name="jml_Akta"
                                                required>
                                        </div>
                                    </div>
                                </div>
                           </div>
                           
                        <div class="modal-footer">
                            <button class="btn btn-primary" type="submit"><i class="fa fa-save"></i> Simpan</button>
                            <button class="btn btn-danger" type="button" data-dismiss="modal"><i class="fa fa-times"></i> Tutup</button>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
    {% include 'profile/admin/kependudukan/arsip.html' %}
{% endblock main %}

{% block footer %}
    {% include 'profile/layouts/admin/footer.html' %}
{% endblock footer %}

{% block scripts_bawah %}
    <script src="{% static 'admin/js/datatables/datatables.min.js' %}"></script>
    <script>
        
        $('#tambahpenduduk').on('shown.bs.modal', function () {
            $('#mySelect2').select2({
                theme: 'classic select2-bootstrap4-theme',
            });
        });

        // $('#mySelect2').select2({
        //     dropdownParent: $('#tambahpenduduk')
        //     });
            
   
        $(document).ready( function () {
            $('[data-tooltip="tooltip"]').tooltip();
            $('#table-list').DataTable();
            $('#table-archive').DataTable();
           
        });
        function restore_(nama, id){
                Swal.fire({
                    title: `Apakah anda yakin ingin memulihkan file ${nama}?`,
                    showCancelButton: true,
                    confirmButtonText: 'Pulihkan',
                    cancelButtonText: 'Batal',
                    }).then((result) => {
                    if (result.isConfirmed) {
                        $.ajax({
                            url: `/manage_panel/kependudukan/restore/${id}`,
                            data: {},
                            dataType: "html",
                            timeout: 10000,
                            beforeSend: function() {
                                Swal.fire({
                                    title: 'Memproses.........',
                                    allowEscapeKey: false,
                                    allowOutsideClick: false,
                                    showCancelButton: false,
                                    showConfirmButton: false,
                                    onOpen: () => {
                                        swal.showLoading();
                                    }
                                });
                            },
                            success: function(response){
                                Swal.fire(`Distrik berhasil dipulihkan!`, '', 'success');
                                setTimeout(function(){
                                    window.location.href = "/manage_panel/kependudukan/";
                                }, 2000); 
                            },
                            error: function (xhr, ajaxOptions, thrownError) {
                                Swal.fire(`Distrik gagal dipulihkan!`, '', 'error');
                            }
                        });
                        
                    }
                });
            }
            function delete_(action, nama, id){
                let pesan = action == 'soft_delete' ? "arsipkan" : "hapus";
                let confirmation = action == 'soft_delete' ? "Arsipkan" : "Hapus";
                Swal.fire({
                    title: `Apakah kamu yakin ingin meng${pesan} data ${nama}?`,
                    showCancelButton: true,
                    confirmButtonText: confirmation,
                    cancelButtonText: 'Batal',
                    
                    }).then((result) => {
                    if (result.isConfirmed) {
                        $.ajax({
                            url: `/manage_panel/kependudukan/${action}/${id}`,
                            data: {},
                            dataType: "html",
                            timeout: 10000,
                            beforeSend: function() {
                                Swal.fire({
                                    title: 'Memproses.........',
                                    allowEscapeKey: false,
                                    allowOutsideClick: false,
                                    showCancelButton: false,
                                    showConfirmButton: false,
                                });
                                Swal.showLoading();
                            },
                            success: function(response){
                                Swal.fire(`Data Diarsipkan berhasil di${pesan}!`, '', 'success');
                                setTimeout(function(){
                                    window.location.href = "/manage_panel/kependudukan/";
                                }, 2000); 
                            },
                            error: function (xhr, ajaxOptions, thrownError) {
                                Swal.fire(`Data Diarsipkan gagal di${pesan}!`, '', 'error');
                            }
                        });
                        
                    }
                });
            }
    </script>
{% endblock scripts_bawah %}